QGIS Application - Bug report #1445
mapserver export fails in Windows XP
2008-12-05 01:44 PM - Markus Neteler

Status: Closed

Priority: Low

Assignee: Marco Pasetti -

Category: Python plugins

Affected QGIS version: Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupts data: Copied to github as #: 11505
Description

Hi,

the following message appears when trying to export a SHAPE layer to mapfile:

Fehler bei der Ausfiihrung von Python-Code:

Traceback (most recent call last):
File "C:/Programme/Quantum GIS\\./python/plugins\\mapserver_export\\mapserverexport.py", line 81, in run
exporter = Qgis2Map(str(self.dlg.ui.txtQgisFilePath.text()), str(self.dlg.ui.txtMapFilePath.text()))
File "C:/Programme/Quantum GIS\\./python/plugins\\mapserver_export\\ms_export.py", line 38, in +init+
self.qgs = minidom.parse(projectFile)
File "C:/Programme/Quantum GIS\\./python\\xmI\\dom\\minidom.py", line 1913, in parse
return expatbuilder.parse(file)
File "C:/Programme/Quantum GIS\\./python\\xmI\\dom\\expatbuilder.py", line 922, in parse
fp = open(file, 'rb")
IOError: [Errno 2] No such file or directory: _

Python-Version:
2.5.2 (r252:60911, Feb 21 2008, 13:11:45) [MSC v.1310 32 bit (Intel)]

Python-Pfad:['C:/Programme/Quantum GIS\\\./python', 'C:/Dokumente und Einstellungen/rf/.qgis//python/plugins’,
'C:/Programme/Quantum GIS\\\\./python/plugins’, 'C:\\Programme\\WArcGIS\\bin', 'C:\\\Programme\\\\Quantum

GIS\Wpython25.zip', 'C:\\WPython25\\\Lib'", 'C:\WPython25\WDLLs', 'C:\\WPython25\\\Lib\\\lib-tk', 'C:\\WProgramme\\\Quantum

GIS', 'C:\\WPython25', 'C:\\WPython25\\\lib\\\\site-packages']

Apparently the dot in the path breaks the functionality (the files are present).

History

#1 - 2008-12-13 08:44 AM - Jiirgen Fischer

seems like a packaging issue. works nicely with the msvc build and a local python install.

#2 - 2008-12-15 01:49 AM - Marco Pasetti -

| made a simple test: | exported a shp file and it worked fine.
| asked to Leo (Lami) to test it too.

| would wait for his tests before to decide if it is a real package bug.

Marco

#3 - 2008-12-16 06:21 AM - Marco Pasetti -
- Resolution set to worksforme

- Status changed from Open to Closed

Leo reported no errors too.

I'm closing the ticket as works for me.

Marco

#4 - 2008-12-16 06:26 AM - Markus Neteler

Mhh, | am suprised that | then see a ghost error... well, ok. | hope for the next package then.

#5 - 2009-08-22 12:57 AM - Anonymous

Milestone Version 1.0.0 deleted
